Please describe the problem.

The description for yesod-default is:

Since version 1.2 of Yesod, this functionality is provided by the yesod package. This package is no longer needed.

git-annex depends on yesod-default >=1.2.0 and yesod >=1.2.6 (and many other yesod-*>1.2).

Thus git-annex should be able to drop yesod-default from the cabal file.

What steps will reproduce the problem?

Just build from source.

What version of git-annex are you using? On what operating system?

6.20171109, source tarball.

Have you had any luck using git-annex before? (Sometimes we get tired of reading bug reports all day and a lil' positive end note does wonders)

Sure, this is not really a "problem" anyway.

Thanks for noticing this, I've made the changes. done --Joey